elm::genlist_item Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::genlist_item Struct Reference

Class genlist_item. More...

## Public Member Functions
| genlist_item (Eo *eo)
| Eo Constructor. More...
| genlist_item (std::nullptr_t)
| nullptr_t Constructor. More...
| genlist_item (genlist_item const &other)
| Copy Constructor.
void | show (Elm_Genlist_Item_Scrollto_Type type_) const
void | bring_in (Elm_Genlist_Item_Scrollto_Type type_) const
void | all_contents_unset (::efl::eina::list< ::evas::object > *l_) const
void | fields_update (::efl::eina::string_view parts_, Elm_Genlist_Item_Field_Type itf_) const
void | item_class_update (const Elm_Genlist_Item_Class *itc_) const
void | decorate_mode_set (::efl::eina::string_view decorate_it_type_, bool decorate_it_set_) const
| genlist_item (::efl::eo::parent_type _p)
| Constructs a new elm::genlist_item object. More...

## Detailed Description

Class genlist_item.

## Constructor & Destructor Documentation

elm::genlist_item::genlist_item | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::genlist_item object.

Constructs a new elm::genlist_item object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::genlist_item my_genlist_item(efl::eo::parent = parent_object);

See also
  genlist_item(Eo* eo)

elm::genlist_item::genlist_item | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::genlist_item::genlist_item | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void elm::genlist_item::all_contents_unset | ( | ::efl::eina::list< ::evas::object > * | l_ | ) | const

Parameters

  [out] | l |

void elm::genlist_item::bring_in | ( | Elm_Genlist_Item_Scrollto_Type | type_ | ) | const

Parameters

  type |

void elm::genlist_item::decorate_mode_set | ( | ::efl::eina::string_view | decorate_it_type_,
|  | bool | decorate_it_set_
| ) |  | const

Parameters

  decorate_it_type |
  decorate_it_set |

void elm::genlist_item::fields_update | ( | ::efl::eina::string_view | parts_,
|  | Elm_Genlist_Item_Field_Type | itf_
| ) |  | const

Parameters

  parts |
  itf |

void elm::genlist_item::item_class_update | ( | const Elm_Genlist_Item_Class * | itc_ | ) | const

Parameters

  itc |

void elm::genlist_item::show | ( | Elm_Genlist_Item_Scrollto_Type | type_ | ) | const

Parameters

  type |